KDE neon e Nextcloud: fix per l’errore dipendenza qtbase-abi non soddisfatta

    0
Chi come me utilizza Nextcloud per gestire i propri servizi di cloud storage e fa uso di KDE neon si sarà di certo accorto del problema sorto da qualche release a questa parte che gli impedisce di poter installare il client di sincronizzazione di nextcloud da PPA sulla distro.
Andando ad aggiungere il PPA “Nextcloud development” team e successivamente ad installare il pacchetto nextcloud-desktop su KDE neon ci compare il messaggio di errore
I seguenti pacchetti hanno dipendenze non soddisfatte:
nextcloud-desktop : Dipende: qtbase-abi-5-12-8
Raccomanda: nextcloud-desktop-doc ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati. 

Come potete vedere abbiamo una dipendenza non soddisfatta che ci impedisce di installare il client di sincronizzazione di nextcloud. 

Il pacchetto qtbase-abi è un pacchetto virtuale utilizzato in Ubuntu per libqt5core5a. Dando il comando

aptitude search '~Pqtbase-abi-5-12-8'

avremo infatti informazioni in merito a tale pacchetto.

Per risolvere questo problema la soluzione più immediata è quella suggerita dall’utente kcybulski sulla pagina GitHub di Nextcloud che consiste nel creare un pacchetto farlocco da installare nel sistema in modo tale da soddisfare la dipendenza del pacchetto virtuale qtbase-abi e proseguire così con l’installazione di nextcloud-desktop.

Per farlo ci basterà creare una nuova cartella e, con il nostro editor di testi preferito, creare il seguente file:

#!/bin/bash

$(mkdir -p ./qtbase-abi-5-12-8-fix/DEBIAN)
echo 'Package: qtbase-abi-5-12-8-fix
Version: 1.0
Section: custom
Priority: optional
Provides: qtbase-abi-5-12-8
Depends: libqt5core5a
Architecture: amd64
Essential: no
Installed-Size: 0
Maintainer: custom
Description: Fix lack of qtbase-abi-5-12-8 in KDE Neon
' > ./qtbase-abi-5-12-8-fix/DEBIAN/control

$(dpkg-deb --build ./qtbase-abi-5-12-8-fix)

Una volta fatto salvate il file come sh nella cartella appena creata con un nome a piacere. Ad esempio potete chiamarlo abifix.sh.

Eseguite ora il file abifix.sh appena creato. Vi verrà generato un pacchetto chiamato qtbase-abi-5-12-8-fix.deb

Installatelo da terminale dando 

sudo dpkg -i ./qtbase-abi-5-12-8-fix.deb

Una volta fatto vi basterà installare nextcloud-desktop (e magari giacchè vi trovate anche dolphin-nextcloud in modo da avere l’integrazione con dolphin) da PPA. L’installazione ora proseguirà senza intoppi e potrete installare il client di sincronizzazione di nextcloud senza problemi.

Clicca qui per andare alla fonte

Rispondi